Bug 1294280 - [abrt] abrt-addon-ccpp: __init__.py:84:error_msg_and_die:BrokenPipeError: [Errno 32] Roura přerušena (SIGPIPE)
[abrt] abrt-addon-ccpp: __init__.py:84:error_msg_and_die:BrokenPipeError: [Er...
Status: CLOSED DUPLICATE of bug 1255259
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
: 1310305 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2015-12-26 06:56 EST by Andrej Podzimek
Modified: 2016-02-20 03:06 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-04 02:38:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1.22 KB, text/plain)
2015-12-26 06:56 EST, Andrej Podzimek
no flags Details
File: environ (67 bytes, text/plain)
2015-12-26 06:56 EST, Andrej Podzimek
no flags Details

  None (edit)
Description Andrej Podzimek 2015-12-26 06:56:06 EST
Version-Release number of selected component:

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --tmpdir /var/tmp/abrt-tmp-debuginfo.AM0vPq --
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            173

Truncated backtrace:
__init__.py:84:error_msg_and_die:BrokenPipeError: [Errno 32] Roura přerušena (SIGPIPE)

Traceback (most recent call last):
  File "/usr/bin/abrt-action-install-debuginfo", line 242, in <module>
    result = downloader.download(missing, download_exact_files=exact_fls)
  File "/usr/lib64/python3.4/site-packages/reportclient/debuginfo.py", line 383, in download
    self.cachedir, exact_files=download_exact_files)
  File "/usr/lib64/python3.4/site-packages/reportclient/debuginfo.py", line 124, in unpack_rpm
    print(_("Caching files from {0} made from {1}").format("unpacked.cpio", os.path.basename(package_full_path)))
BrokenPipeError: [Errno 32] Roura přerušena (SIGPIPE)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/abrt-action-install-debuginfo", line 244, in <module>
    error_msg_and_die("Can't download debuginfos: %s", ex)
  File "/usr/lib64/python3.4/site-packages/reportclient/__init__.py", line 84, in error_msg_and_die
    sys.stderr.write("%s\n" % (fmt % args))
BrokenPipeError: [Errno 32] Roura přerušena (SIGPIPE)

Local variables in innermost frame:
args: (BrokenPipeError(32, 'Roura přerušena (SIGPIPE)'),)
fmt: "Can't download debuginfos: %s"
Comment 1 Andrej Podzimek 2015-12-26 06:56:13 EST
Created attachment 1109547 [details]
File: backtrace
Comment 2 Andrej Podzimek 2015-12-26 06:56:15 EST
Created attachment 1109548 [details]
File: environ
Comment 3 Jakub Filak 2016-01-04 02:38:52 EST
Thank you for the bug report. This particular bug has already been reported into our bug tracking system, but please feel free to report any further bugs you find.

*** This bug has been marked as a duplicate of bug 1255259 ***
Comment 4 Zero 2016-02-20 03:06:00 EST
*** Bug 1310305 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.